Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
The desktop-effects overlay
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... , 15, 16, 17  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Desti²
Tux's lil' helper
Tux's lil' helper


Joined: 06 Sep 2003
Posts: 127

PostPosted: Sat Nov 06, 2010 1:17 am    Post subject: Reply with quote

What happened here and how do I fix it? :oops:

Code:
Digest verification failed:
 * /var/lib/layman/desktop-effects/gnome-extra/avant-window-navigator/avant-window-navigator-0.4.0.ebuild
 * Reason: Filesize does not match recorded size
 * Got: 1591
 * Expected: 1590


It appears after I run layman -S.
_________________
Linux Users Everywhere @ climateprediction.net
Back to top
View user's profile Send private message
Garrappachc
Guru
Guru


Joined: 26 Dec 2008
Posts: 362
Location: Kraków

PostPosted: Sun Nov 07, 2010 9:36 pm    Post subject: Reply with quote

For anyone who can't compile libdesktop-agnostic: there's a fixed ebuild (not exactly fixed, but it works, anyway): http://code.google.com/p/kist/source/browse/trunk/x11-libs/libdesktop-agnostic/libdesktop-agnostic-0.3.90-r1.ebuild

Tell me if that works or not.
_________________
De profundis clamavi ad Te, Domine

emerge --info | virtual aviation
Back to top
View user's profile Send private message
Wolfbone
n00b
n00b


Joined: 29 Sep 2004
Posts: 30

PostPosted: Mon Nov 08, 2010 8:01 am    Post subject: New cairo-dock (2.2.0.4) needs its plugins please! Reply with quote

Hi,

I noticed cairo-dock-2.2.0.4 added about a week ago but I can't try it out because its companion cairo-dock-plugins-2.2.0.4 hasn't been added yet.
Back to top
View user's profile Send private message
dweezil-n0xad
Apprentice
Apprentice


Joined: 30 Oct 2006
Posts: 156
Location: Ostend, Belgium

PostPosted: Mon Nov 08, 2010 11:38 am    Post subject: Reply with quote

Garrappachc wrote:
For anyone who can't compile libdesktop-agnostic: there's a fixed ebuild (not exactly fixed, but it works, anyway): http://code.google.com/p/kist/source/browse/trunk/x11-libs/libdesktop-agnostic/libdesktop-agnostic-0.3.90-r1.ebuild

Tell me if that works or not.
thanks, I was able to install awn-0.4.0 from the kist overlay :D
I only had to disable the gconf use flag for gir-repository.
_________________
i7-4790K | 16GB DDR3 | GTX 970 | 500GB SSD
ASUS N56VV | i7-3630QM | 12GB DDR3 | GT 750M | 256GB SSD
Back to top
View user's profile Send private message
viralex
Apprentice
Apprentice


Joined: 24 Apr 2008
Posts: 237
Location: Viareggio (Lu,Italy)

PostPosted: Fri Dec 03, 2010 10:00 pm    Post subject: Reply with quote

Desti² wrote:
What happened here and how do I fix it? :oops:

Code:
Digest verification failed:
 * /var/lib/layman/desktop-effects/gnome-extra/avant-window-navigator/avant-window-navigator-0.4.0.ebuild
 * Reason: Filesize does not match recorded size
 * Got: 1591
 * Expected: 1590


It appears after I run layman -S.


I think they should run a simple:

ebuild avant-window-navigator-0.4.0.ebuild digest

push that commit please, I don't like all these dirty emerge outputs. :lol:
Back to top
View user's profile Send private message
azp
Guru
Guru


Joined: 16 Nov 2003
Posts: 433
Location: Stockholm, Sweden

PostPosted: Fri Jan 14, 2011 10:33 pm    Post subject: Reply with quote

Hi guys!

I'm currently trying to install to install compiz, after doing a complete clean out of it. I'd had it installed since the first releases, and hoped that a clean up would fix the issues I've had with it before. I figured perhaps some old config files could be lying around.

Anyhooooo... When trying to install it, it failed emerge, so I thought I'd report a bug here (as instructed on the first page).

First I got the warning

Quote:
************************************************************
209
210 WARNING:
211 "FindCompiz.cmake" file not found in cmake module directories.
212 It should be installed to allow building of external compiz packages.
213 Call "sudo make findcompiz_install" to install it.
214
215 ************************************************************


The issue is that it then fails with
Code:

...
234 make -j9
235 [  1%] [  1%] Generating compiz-wm.desktop
236 Scanning dependencies of target kde4-window-decorator_automoc
237 [  1%] Generating 50-compiz-desktop-key.xml
238 make[2]: *** No rule to create target "generated/core.xml.in", which is needed for "generated/core_options.h".  Stopping.
239 make[2]: *** Waiting for finished jobs...
240 Scanning dependencies of target core-gconf-schema
241 [  2%] Scanning dependencies of target decoration
242 Generating compiz.desktop
243 Generating ../../generated/composite.xml
244 Scanning dependencies of target core-xml-file
245 Scanning dependencies of target nls
246 [  2%] [  2%] Generating ../generated/core.xml.in
247 Generating ../generated/core.xml.in
248 [  2%] Building C object libdecoration/CMakeFiles/decoration.dir/decoration.c.o
249 [  2%] [  2%] [  2%] Generating ../generated/core.xml
250 Generating ../generated/core.xml
251 Generating /var/tmp/portage/x11-wm/compiz-0.9.2/work/compiz-core-0.9.2/po/compiz.pot
252 Generating moc_decorator.cpp
253 Generating and caching the translation database
254 Merging translations into /var/tmp/portage/x11-wm/compiz-0.9.2/work/compiz-0.9.2_build/gtk/gnome/compiz-wm.desktop.
255 Generating and caching the translation database
256 Merging translations into /var/tmp/portage/x11-wm/compiz-0.9.2/work/compiz-0.9.2_build/src/compiz.desktop.
257 make[1]: *** [src/CMakeFiles/compiz.dir/all] Fel 2
258 make[1]: *** Waiting for finished jobs...


I'm sorry if the warning messages aren't literal, I just translated some of them from Swedish to English.

I first went into the /var/tmp/portage/x11-wm/compiz-0.9.2/work/compiz-0.9.2/ directory and ran the "sudo make findcompiz_install" command. After that I ran "make all" and "make install", and it seemed to complete. It did not work to emerge it though, not even after that.

Please ask for more info if you need it, I can pastebin my emerge --info and stuff like that. I'm running ~amd64 (updated today) plus the overlay. I have another question as well:
Why doesn't compiz have any dependencies to other compiz packages?

It just occurred to me that perhaps I should merge the compiz-fusion package instead.. Hmmm. I'll be back to apologize after trying that. ;)
_________________
Weeks of coding can save you hours of planning.
Back to top
View user's profile Send private message
azp
Guru
Guru


Joined: 16 Nov 2003
Posts: 433
Location: Stockholm, Sweden

PostPosted: Fri Jan 14, 2011 10:47 pm    Post subject: Reply with quote

Nope, didn't fix it...

So here's the log (sorry parts of it is in Swedish)
Build log

emerge --info =x11-wm/compiz-0.9.2

And last but not least:
Code:
root@skare$ emerge -pqv =x11-wm/compiz-fusion-0.9.2
[ebuild  N    ] x11-wm/compiz-0.9.2  USE="gnome gtk kde svg"
[ebuild  N    ] x11-plugins/compiz-plugins-main-0.9.2
[ebuild  N    ] x11-libs/libcompizconfig-0.9.2
[ebuild  N    ] x11-libs/compizconfig-backend-gconf-0.9.2
[ebuild  N    ] x11-libs/compizconfig-backend-kconfig4-0.9.2
[ebuild  N    ] x11-plugins/compiz-plugins-extra-0.9.2  USE="gnome"
[ebuild  N    ] x11-wm/compiz-fusion-0.9.2  USE="gnome kde -unsupported"

_________________
Weeks of coding can save you hours of planning.
Back to top
View user's profile Send private message
yellowhat
Guru
Guru


Joined: 10 Sep 2008
Posts: 507

PostPosted: Mon Jan 17, 2011 3:05 pm    Post subject: Reply with quote

This problem
Code:
************************************************************
209
210 WARNING:
211 "FindCompiz.cmake" file not found in cmake module directories.
212 It should be installed to allow building of external compiz packages.
213 Call "sudo make findcompiz_install" to install it.
214
215 ************************************************************


is fixed here https://forums.gentoo.org/viewtopic-p-6547218.html#6547218
But as you can see there, I have another problem with compiz-plugins-main
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1191

PostPosted: Thu Feb 17, 2011 7:32 pm    Post subject: Reply with quote

Code:
No rule to make target `generated/core.xml.in', needed by `generated/core_options.h'.  Stop.


Did anything come around with this issue? i'd like to have a new compiz, cause kde4-window manager keeps segfaulting on login and logout.

PS@azp: try something like
Code:
LANG= emerge ...
to have native language( most time english) messages.
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1191

PostPosted: Thu Feb 17, 2011 8:15 pm    Post subject: Reply with quote

Got it installed:
go to /var/tmp/portage/x11-wm/compiz/work/compiz-0.9.2_build and run make
then
Code:
ebuild [path/to/compiz-0.9.2.ebuild] merge

does it fine. That's very strange. maybe something sandbox related?

after that got a problem with compiz-config:
u have to replace __new__ with __cinit__ in the pyx file mentioned in the error. maybe this can be done in ebuild?

so now all compizpackages are up to date. but unfortunately kde4-window-decorator keeps segfaulting... :(

is there any solution for that?
Back to top
View user's profile Send private message
azp
Guru
Guru


Joined: 16 Nov 2003
Posts: 433
Location: Stockholm, Sweden

PostPosted: Fri Feb 25, 2011 9:10 pm    Post subject: Reply with quote

Christian99 wrote:
Got it installed:
go to /var/tmp/portage/x11-wm/compiz/work/compiz-0.9.2_build and run make
then
Code:
ebuild [path/to/compiz-0.9.2.ebuild] merge

does it fine. That's very strange. maybe something sandbox related?

after that got a problem with compiz-config:
u have to replace __new__ with __cinit__ in the pyx file mentioned in the error. maybe this can be done in ebuild?

so now all compizpackages are up to date. but unfortunately kde4-window-decorator keeps segfaulting... :(

is there any solution for that?


The __new__ with __cinit__ thing has been fixed upstream (it's because Cython 2.7, which has deprecated __new__), but it hasn't been updated in the ebuild. I guess either you fix your own overlay, with only that fix, or you download their git head, or you wait for the ebuild to be updated...
I think I'll go for the first option and see where that takes me.
_________________
Weeks of coding can save you hours of planning.
Back to top
View user's profile Send private message
azp
Guru
Guru


Joined: 16 Nov 2003
Posts: 433
Location: Stockholm, Sweden

PostPosted: Fri Feb 25, 2011 10:10 pm    Post subject: Reply with quote

azp wrote:
Christian99 wrote:
Got it installed:
go to /var/tmp/portage/x11-wm/compiz/work/compiz-0.9.2_build and run make
then
Code:
ebuild [path/to/compiz-0.9.2.ebuild] merge

does it fine. That's very strange. maybe something sandbox related?

after that got a problem with compiz-config:
u have to replace __new__ with __cinit__ in the pyx file mentioned in the error. maybe this can be done in ebuild?

so now all compizpackages are up to date. but unfortunately kde4-window-decorator keeps segfaulting... :(

is there any solution for that?


The __new__ with __cinit__ thing has been fixed upstream (it's because Cython 2.7, which has deprecated __new__), but it hasn't been updated in the ebuild. I guess either you fix your own overlay, with only that fix, or you download their git head, or you wait for the ebuild to be updated...
I think I'll go for the first option and see where that takes me.


I've done my own ebuild of it now, and at least it compiles and installs. I have no idea about how stable it is though. You can get it at http://www.peterasplund.se/ebuilds/compizconfig-python-0.9.2-r1.tar.gz
Just unzip it into your local portage overlay (mine is /usr/local/portage/) and into dev folder dev-python/

Hope it works!
_________________
Weeks of coding can save you hours of planning.
Back to top
View user's profile Send private message
Maleita
Apprentice
Apprentice


Joined: 16 Sep 2004
Posts: 246
Location: Brasil -> São Paulo->Campinas

PostPosted: Mon Feb 28, 2011 10:06 pm    Post subject: have litlte trouble..... Reply with quote

Code:
>> Emerging (1 of 4) x11-misc/cairo-dock-9999 from desktop-effects
 * Package:    x11-misc/cairo-dock-9999
 * Repository: desktop-effects
 * Maintainer: jmbsvicetto@gentoo.org
 * USE:  elibc_glibc kernel_linux userland_GNU x86 xcomposite
>>> Unpacking source...
 * bzr pull start -->
 *    repository: lp:cairo-dock-core
You have not informed bzr of your Launchpad ID, and you must do this to
write to Launchpad or access private data.  See "bzr help launchpad-login".
http://bazaar.launchpad.net/~cairo-dock-team/cairo-dock-core/cairo-dock is permanently redirected to http://bazaar.launchpad.net/~cairo-dock-team/cairo-dock-core/cairo-dock/changes
You have not informed bzr of your Launchpad ID, and you must do this to
write to Launchpad or access private data.  See "bzr help launchpad-login".
No revisions to pull.
 * exporting ...
 * revision 727 is now in /var/tmp/portage/x11-misc/cairo-dock-9999/work/cairo-dock-9999
>>> Source unpacked in /var/tmp/portage/x11-misc/cairo-dock-9999/work
>>> Preparing source in /var/tmp/portage/x11-misc/cairo-dock-9999/work/cairo-dock-9999 ...
intltoolize: neither 'configure.ac' nor 'configure.in' exists
Try 'intltoolize --help' for more information.
 * ERROR: x11-misc/cairo-dock-9999 failed:
 *   intltoolize failed
 *
 * Call stack:
 *     ebuild.sh, line  56:  Called src_prepare
 *   environment, line 3016:  Called die
 * The specific snippet of code:
 *       intltoolize --automake --copy --force || die "intltoolize failed";




i can`t install cairo-dock :oops:


sorry try a lower version and works. :oops:
Back to top
View user's profile Send private message
Loko123
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2011
Posts: 91

PostPosted: Mon Mar 07, 2011 8:04 pm    Post subject: Reply with quote

Has anybody of you compiled compiz-9999? I´ve got an ACCESS Violation error and don't know how to fix it. So if anyone of you knows the solution for that, or got a patch for it please do not hesitate to contact me.
https://bugs.gentoo.org/show_bug.cgi?id=357813
Loko123
Back to top
View user's profile Send private message
Freeky
Tux's lil' helper
Tux's lil' helper


Joined: 11 Mar 2011
Posts: 129
Location: Novosibirsk, Russia

PostPosted: Wed Mar 23, 2011 5:25 am    Post subject: Reply with quote

I can't install any compiz from this overlay, because of compiz-plugins-extra-0.9.2 and compiz-plugins-extra-9999 can't compile with libnotify-0.7.
And Compiz team releases compiz-0.9.4 at 2011-Mar-07 http://releases.compiz.org/0.9.4/
Back to top
View user's profile Send private message
wantey
n00b
n00b


Joined: 18 Aug 2007
Posts: 4
Location: Russia

PostPosted: Thu Mar 31, 2011 3:53 pm    Post subject: Reply with quote

Freeky wrote:
I can't install any compiz from this overlay, because of compiz-plugins-extra-0.9.2 and compiz-plugins-extra-9999 can't compile with libnotify-0.7.
And Compiz team releases compiz-0.9.4 at 2011-Mar-07 http://releases.compiz.org/0.9.4/


I solved this trouble

add
Code:
src_prepare() {

sed -i 's/iconUri.c_str (), NULL);/iconUri.c_str ());/' notification/src/notification.cpp

}

after
Code:
S="${WORKDIR}/${PN/compiz-/}"

I can't attage ebuild

But I think better try use
http://code.google.com/p/gnome-gmail-notifier/issues/detail?id=86
Back to top
View user's profile Send private message
Freeky
Tux's lil' helper
Tux's lil' helper


Joined: 11 Mar 2011
Posts: 129
Location: Novosibirsk, Russia

PostPosted: Wed Apr 06, 2011 8:52 am    Post subject: Reply with quote

At this commit http://gitweb.compiz.org/?p=compiz/plugins/notification;a=commit;h=2faf69286967110d2f96ef093f453c0407ccfe13 maintainer fixed compilation with >=libnotify-0.6, but other bugs are present.
First:https://forums.gentoo.org/viewtopic-p-6605041.html#6605041
Second: compiling of =x11-wm/compiz-9999[gtk,-gnome,-kde4] failed but without gtk =x11-wm/compiz-9999 compiles fine.
Back to top
View user's profile Send private message
Small_Penguin
Tux's lil' helper
Tux's lil' helper


Joined: 27 May 2005
Posts: 137

PostPosted: Fri Apr 08, 2011 10:12 am    Post subject: Reply with quote

I don't know what's up with compiz, but after the rewrite, the devs became ignorant to user bug reports, and the things that worked before are really buggy now. They seem to be spending a lot of time on that unity thing and ubuntu, but neglect the other users. Compiz forums are pretty much a dead place, too.

On the blog they request to send them a lot of bug reports, but those that are in the bug tracker don't seem to get any attention at all. So what's the use of sending them bug reports?

Don't know, but compiz ain't what it used to be.
Back to top
View user's profile Send private message
yellowhat
Guru
Guru


Joined: 10 Sep 2008
Posts: 507

PostPosted: Sun May 01, 2011 8:21 pm    Post subject: Reply with quote

Hey what's up to desktop-effects overlay since 11 january no more commits?
Back to top
View user's profile Send private message
Freeky
Tux's lil' helper
Tux's lil' helper


Joined: 11 Mar 2011
Posts: 129
Location: Novosibirsk, Russia

PostPosted: Tue Jun 14, 2011 5:24 am    Post subject: Reply with quote

Who can contact with jmbsvicetto? I think he knows what about desktop-effects overlay.
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4734
Location: Angra do Heroísmo (PT)

PostPosted: Tue Jun 14, 2011 11:16 am    Post subject: Reply with quote

Freeky wrote:
Who can contact with jmbsvicetto? I think he knows what about desktop-effects overlay.


Hi.

I'm sorry but I'm very busy with other stuff and haven't been able to look at desktop-effects :( At this point I can't say when I'll be able to fix the compiz ebuilds.
In any case, if you ever want to reach me, feel free to poke me on IRC or send me an email.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
Loko123
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2011
Posts: 91

PostPosted: Tue Jun 28, 2011 9:36 am    Post subject: Reply with quote

jmbsvicetto wrote:
Freeky wrote:
Who can contact with jmbsvicetto? I think he knows what about desktop-effects overlay.


Hi.

I'm sorry but I'm very busy with other stuff and haven't been able to look at desktop-effects :( At this point I can't say when I'll be able to fix the compiz ebuilds.
In any case, if you ever want to reach me, feel free to poke me on IRC or send me an email.


Hi jmbsvicetto,

Thank you for your work with the live ebuilds, but in my opinion one developer for the compiz-ebuild(s) is not enough. I hope that any gentoo community member is also going to support you and your overlay, so that we can fix the related ebuild issues soon. :)

As far as I can see, there is also a comment from a gentoouser at smspillaz blog, see http://smspillaz.wordpress.com/2011/06/05/anybody-still-getting-bug-709461/

Maybe the maindeveloper himself (smspillaz) is going to support us - I hope for it :) because Gentoo is such a great distribution. :)

I've been looking forward to hearing from you soon jmbsvicetto.

Have a great day!

Loko123
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1087

PostPosted: Sat Jul 02, 2011 5:02 pm    Post subject: Reply with quote

Maybe, we would be more lucky for the compiz-fusion-0.9.5
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
Jupiter1TX
Guru
Guru


Joined: 24 Feb 2006
Posts: 546
Location: 3rd Rock

PostPosted: Sat Jul 02, 2011 5:16 pm    Post subject: Reply with quote

Loko123 wrote:

Maybe the maindeveloper himself (smspillaz) is going to support us - I hope for it :) because Gentoo is such a great distribution. :)
Loko123

Dream on. smspillaz works for Ubuntu.

keenblade wrote:
Maybe, we would be more lucky for the compiz-fusion-0.9.5


Fat chance of that. There are several bugs for the past year that they won't even acknowledge
because they do not affect Ubuntu. I used to be part of Compiz myself and couldn't get them
to even acknowledge they knew of these bugs recently. Their only interest currently is getting
things stable on Ubuntu and nothing else. The team has fallen apart sadly and in dire need
of devs. who's primary focus is NOT Ubuntu but Compiz on Linux in general.
_________________
Core i7 920 D0 | Asus P6T DLX | Patriot Viper 1600 6GB | Antec Quattro 850W
Geforce 8800GTX OC2 768MB | Dell 22" LCD | Koolance Exos2/Swiftech GTZ
GCC 4.6.1 | 3.7.x-geek | Xorg-7.4-x | KDE-4.7.x | Compiz
Back to top
View user's profile Send private message
keenblade
Veteran
Veteran


Joined: 03 Oct 2004
Posts: 1087

PostPosted: Sat Jul 02, 2011 6:07 pm    Post subject: Reply with quote

Jupiter1TX wrote:
Their only interest currently is getting
things stable on Ubuntu and nothing else. The team has fallen apart sadly and in dire need
of devs. who's primary focus is NOT Ubuntu but Compiz on Linux in general.

I guess, ubuntu (canonical) pays for them. So it is understandable the focus on ubuntu. I think there is nothing wrong with it. Even it makes compiz development very active, but gentoo is behind creating bleeding edge ebuilds for ~arch. It seems every other distrubution has the v0.9.4, other than gentoo. So the problem is mostly with gentoo, as usual lack of manpower related.
_________________
Anyway it's all the same at the end...
Need help to get it working: "x-fi surround 5.1"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... , 15, 16, 17  Next
Page 16 of 17

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum